LedgerLou Docs is optimized for desktop.

Please open this page on a device with a wider screen.

Reports

Fetch financial reports

Returns P&L, balance sheet or trial balance data for a given period.

GET /v1/reports
Authorization
Authorization string header required API key in the format ll_.... Pass as a Bearer token.
Query Parameters
type string required "guv", "bilanz" or "susa"
startDate string optional Start date (YYYY-MM-DD)
endDate string optional End date (YYYY-MM-DD)
Responses
200
Success
400
INVALID_INPUT The report type or the date format is invalid.
GET /v1/reports
cURL
-cmd">curl --request -method">GET -punct">\
  --url 'https://api.ledgerlou.de/v1/reports' -punct">\
  --header 'Authorization: Bearer ll_your_key'
200 Response
JSON
For `type=bilanz`, a synthetic line `Periodenergebnis` is automatically added to equity when the period result is not 0.
[
  {
    "number": "<string>",
    "name": "<string>",
    "type": "<string>",
    "category": "<string>",
    "report_group": "<string>",
    "debit_total": 1,
    "credit_total": 1,
    "balance": 1
  }
]